# Method: accounts.cssProductInputs.patch

- [HTTP request](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.cssProductInputs/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.cssProductInputs/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.cssProductInputs/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.cssProductInputs/patch#body.request_body)
- [Response body](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.cssProductInputs/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.cssProductInputs/patch#body.aspect)
- [Try it!](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.cssProductInputs/patch#try-it)

Updates the existing Css Product input in your CSS Center account.

After inserting, updating, or deleting a CSS Product input, it may take several minutes before the processed Css Product can be retrieved.

### HTTP request

`PATCH https://css.googleapis.com/v1/{cssProductInput.name=accounts/*/cssProductInputs/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `cssProductInput.name` | `string` Identifier. The name of the CSS Product input. Format: `accounts/{account}/cssProductInputs/{cssProductInput}`, where the last section `cssProductInput` consists of 3 parts: contentLanguage\~feedLabel\~offerId. Example: accounts/123/cssProductInputs/de\~DE\~rawProvidedId123 |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The list of CSS product attributes to be updated. If the update mask is omitted, then it is treated as implied field mask equivalent to all fields that are populated (have a non-empty value). Attributes specified in the update mask without a value specified in the body will be deleted from the CSS product. Update mask can only be specified for top level fields in attributes and custom attributes. To specify the update mask for custom attributes you need to add the `custom_attribute.` prefix. Providing special "\*" value for full CSS product replacement is not supported. |

### Request body

The request body contains an instance of `https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/CssProductInput`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/CssProductInput`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).